Subject: Re: [arcmedia] [apps-discuss] Proposed charter for arcmedia

From: Stian Soiland-Reyes <[email-masked]>
Date: Mon, 29 Dec 2014 23:58:37 -0600

Hi - what's the status of the chartering of the arcmedia WG? I don't
see that it has been added to http://datatracker.ietf.org/wg/ and
there is no further emails on the arcmedia mailing list.

On 13 November 2014 at 21:02, Murray S. Kucherawy <[email-masked]> wrote:
> Some text I threw together for a possible arcmedia charter.  Feel free to
> hack on it.
>
> Also, if anyone is interested in participating in the management of this
> working group, please let Barry know.  It is likely at this point that this
> will be a short-lived working group which will never actually meet.
>
> --- snip ---
>
> There has been recent work to register media types for archive formats such
> as “tar” (a POSIX standard format).  There are already several similar media
> types for archive formats, such as “gzip” and “zip” (see, for example,
> RFC6713), all of which are registered under the top-level media type
> “application”.
>
> We create top-level media types only rarely, only with Standards Track RFCs,
> and only when one or more media types get special (or common, in the case of
> more than one) handling that does not fit under an existing top-level media
> type.  RFC6838 defines this process.
>
> This working group will create an “archive” top-level media type in a
> Standards Track document, using draft-seantek-kerwin-arcmedia-type as its
> initial input.  It will specify rules for registering subtypes under that
> new top-level type.  All of the usual things will be considered, including
> type suffixes, fragment identifiers, and internationalization.
>
> Either in that same document or in a second one, it will produce an initial
> set of registrations under the new top-level media type.
>
> The main document will include an Implementation Status section, described
> by RFC6982, to record known projects that will either produce or consume
> content using the new media type.  If by the first milestone there appears
> to be no implementations of the new media type expected, the working group
> will fold having produced no RFCs.
>
> No other work is in scope for this working group.
>
> Milestones:
> - June 2015: Base document
> - December 2015: Registrations document (if separate)
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

-- 
Stian Soiland-Reyes, myGrid team
School of Computer Science
The University of Manchester
http://soiland-reyes.com/stian/work/ http://orcid.org/0000-0001-9842-9718

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 30 Dec 2014 10:13:13 -0800

> there is no further emails on the arcmedia mailing list.

A mailing list was created shortly after the November meeting, and the
proposed charter was posted there and here.  There has been no response of
any kind.

-MSK

---

From: Stian Soiland-Reyes <[email-masked]>
Date: Tue, 30 Dec 2014 14:06:22 -0600

OK, I didn't know the draft was only to be discussed on the arcmedia list.

I'll give some feedback as I'm trying to implement it :)

https://github.com/ResearchObject/specifications/blob/gh-pages/bundle/draft/draft-arcmedia-archive-robundle-00.txt#L142

I added a "Based on media type:   application/zip"  as my format (as
many others) is a +zip - I think this could be the case for many
specialized formats.

The draft for archive/ should perhaps mention something about when to
use +zip and friends?  And also that a specialization of an archive
need not be an archive itself - e.g. application/jar is not meant to
generally be unpacked as an archive, and hence does not claim to be
+zip or (if it was made today) archive/.

Under Encoding considerations I detailed the encoding of the filepaths
within the archives - I am not sure if this is the right place or if
we should ask about this specifically (just to remind people about
it). There could also be rules about what are legal file paths that
perhaps should be expressed.

https://github.com/ResearchObject/specifications/blob/gh-pages/bundle/draft/draft-arcmedia-archive-robundle-00.txt#L175

It might be useful to ask if the archive has a mechanism to look up
media types of the archived files - e.g. I have them in
/manifest.json, Adobe UCF/epub has them in META-INF/manifest.xml.

.

I dropped the ancient "Macintosh file type code" - I have no idea how
to make one or find out what a ZIP one is called on a Mac OS 9. This
might be useful for older formats though - e.g. for StuffIt for Mac OS
9? Are we required to have this due to older RFCs for media types?

For Fragment identifier I added that I would prefer not to have one as
I already have two other measures:

https://github.com/ResearchObject/specifications/blob/gh-pages/bundle/draft/draft-arcmedia-archive-robundle-00.txt#L229

... but perhaps for the general formats (.zip, tar.gz, etc) it would
be very nice if we can agree on a common default for fragment
identifiers. I suggest using URI-style paths, with escaping done by
the IRI.

http://example.com/archive.tar.gz#/folder%20with%20spaces/within/archive.txt

Some formats, e.g. .dmg - might not fit this pattern as it could in
theory contain multiple partitions - but generally a /-based system
should work.

Fight over if paths in tar files start with / or not begin now!

On 30 December 2014 at 12:13, Murray S. Kucherawy <[email-masked]> wrote:
> On Mon, Dec 29, 2014 at 9:58 PM, Stian Soiland-Reyes
> <[email-masked]> wrote:
>>

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 31 Dec 2014 08:21:03 -0800

> I'll give some feedback as I'm trying to implement it :)

It's a little premature to talk about the draft when the working group
hasn't actually completed chartering yet.  It would be helpful if you
reviewed and commented on the proposed charter.

-MSK

---

From: Graham Klyne <[email-masked]>
Date: Wed, 31 Dec 2014 15:59:40 +0000

Re: http://www.ietf.org/mail-archive/web/arcmedia/current/msg00001.html

I think the suggested charter looks pretty good.  The work seems well-scoped to me.

I'd expect to review at least the proposed base document, and maybe some of the 
initial registrations.

#g
--

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 31 Dec 2014 19:59:43 -0500

… which isn’t yet final, BTW.

Cheers,

> On 31 Dec 2014, at 7:00 pm, Larry Masinter <[email-masked]> wrote:
> 
> I think the arcmedia WG charter should take into the W3C TAG work on packaging/archives
> 
> http://w3ctag.github.io/packaging-on-the-web/
> 
> (W3c-tag bcc)
> 
> 
>> -----Original Message-----
>> From: apps-discuss [mailto:[email-masked]] On Behalf Of
>> Graham Klyne
>> Sent: Wednesday, December 31, 2014 8:00 AM
>> To: Murray S. Kucherawy; Stian Soiland-Reyes
>> Cc: [email-masked]; IETF Apps Discuss
>> Subject: Re: [apps-discuss] Proposed charter for arcmedia
>> 
>> I'd expect to review at least the proposed base document, and maybe some of
>> the initial registrations.
>> 
>> #g
>> --
>> 
>> 
>>> proposed charter was posted there and here.  There has been no
>>> response of any kind.
>>> 
>>> -MSK
>>> 
>>> 
>>> 

--
Mark Nottingham   http://www.mnot.net/

---

From: Dave Crocker <[email-masked]>
Date: Wed, 31 Dec 2014 12:42:37 -0800

The proffered text is all reasonable, but it needs a small bit of
enhancement, for broader readership and a bit of IETF formality:

I suggest adding an opening sentence that sets the context a little
more.  Something like:

   Archive formats are used to aggregate multiple files and other data
into a single object, often with data compression and/or confidentiality
protection (encryption).

> There has been recent work to register media types for archive
> formats such as “tar” (a POSIX standard format).  There are already
> several similar media types for archive formats, such as “gzip” and
> “zip” (see, for example, RFC6713), all of which are registered under
> the top-level media type “application”.

In order for the first paragraph to be able to stand alone, per formal
IETF requirements -- that paragraph is circulated as a description of
the intended effort -- I suggest moving some text to be its last sentence:

   This working group will create an “archive” top-level media type.

> 
> We create top-level media types only rarely, only with Standards
> Track RFCs, and only when one or more media types get special (or
> common, in the case of more than one) handling that does not fit
> under an existing top-level media type.  RFC6838 defines this
> process.
> 
> Standards Track document, using draft-seantek-kerwin-arcmedia-type as

Replace this sentence with:

   The working group will use draft-seantek-kerwin-arcmedia-type as
initial input.

(It doesn't help the charter to cite intended status.)

> its initial input.  It will specify rules for registering subtypes
> under that new top-level type.  All of the usual things will be
> considered, including type suffixes, fragment identifiers, and
> internationalization.

Replace sentence with:

    The rules will at least include consideration of type suffixes,
fragment identifiers, and internationalization.

> Either in that same document or in a second one, it will produce an
> initial set of registrations under the new top-level media type.
> 
> The main document will include an Implementation Status section,
> described by RFC6982, to record known projects that will either
> produce or consume content using the new media type.  If by the first
> milestone there appears to be no implementations of the new media
> type expected, the working group will fold having produced no RFCs.
> 
> Milestones: - June 2015: Base document - December 2015: Registrations
> document (if separate)

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Larry Masinter <[email-masked]>
Date: Thu, 1 Jan 2015 00:00:54 +0000

(W3c-tag bcc)

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 31 Dec 2014 20:24:06 -0800

> … which isn’t yet final, BTW.

Here's the latest edit, based on today's feedback:

https://github.com/mskucherawy/docs/blob/master/charter-arcmedia

Anything else?

-MSK

---

From: Matthew Kerwin <[email-masked]>
Date: Thu, 1 Jan 2015 14:39:21 +1000

> https://github.com/mskucherawy/docs/blob/master/charter-arcmedia
​Looks good to me.​

-- 
  Matthew Kerwin
  http://matthew.kerwin.net.au/

---

From: Dave Crocker <[email-masked]>
Date: Wed, 31 Dec 2014 22:10:51 -0800

On 12/31/2014 8:24 PM, Murray S. Kucherawy wrote:
> On Wed, Dec 31, 2014 at 4:59 PM, Mark Nottingham <[email-masked]
> <mailto:[email-masked]>> wrote:
> 

I'll celebrate the new year by being uncharacteristically agreeable
about the latest version.

I'm sure it doesn't matter that you seem to have included all my
suggested changes.

HNY.

d/